package com.ruoyi.borrow.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产借用对象 tb_asset_borrow_record
 * 
 * @author ruoyi
 * @date 2024-01-11
 */
public class TbAssetBorrowRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 借出资产ID */
    @Excel(name = "借出资产ID")
    private Long assetId;

    /** 借出资产名称 */
    @Excel(name = "借出资产名称")
    private String assetName;

    /** 借出资产编码 */
    @Excel(name = "借出资产编码")
    private String assetNumber;

    /** 借出人用户名 */
    @Excel(name = "借出人用户名")
    private String userName;

    /** 借出时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "借出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date borrowTime;

    /** 借出位置 */
    @Excel(name = "借出位置编码")
    private String borrowLocationNumber;

    /** 借出位置 */
    @Excel(name = "借出位置(导出)")
    private String borrowLocationName;

    /** 预计归还时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计归还时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedReturnTime;

    /** 是否归还，0：否，1：是 */
    @Excel(name = "是否归还，0：否，1：是")
    private Long isReturn;

    /** 归还时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "归还时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date returnTime;

    /** 归还位置 */
    @Excel(name = "归还位置编码")
    private String returnLocationNumber;

    /** 归还位置 */
    @Excel(name = "归还位置(导出)")
    private String returnLocationName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAssetId(Long assetId) 
    {
        this.assetId = assetId;
    }

    public Long getAssetId() 
    {
        return assetId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setBorrowTime(Date borrowTime) 
    {
        this.borrowTime = borrowTime;
    }

    public Date getBorrowTime() 
    {
        return borrowTime;
    }
    public void setBorrowLocationNumber(String borrowLocationNumber) 
    {
        this.borrowLocationNumber = borrowLocationNumber;
    }

    public String getBorrowLocationNumber() 
    {
        return borrowLocationNumber;
    }
    public void setExpectedReturnTime(Date expectedReturnTime) 
    {
        this.expectedReturnTime = expectedReturnTime;
    }

    public Date getExpectedReturnTime() 
    {
        return expectedReturnTime;
    }
    public void setIsReturn(Long isReturn) 
    {
        this.isReturn = isReturn;
    }

    public Long getIsReturn() 
    {
        return isReturn;
    }
    public void setReturnTime(Date returnTime) 
    {
        this.returnTime = returnTime;
    }

    public Date getReturnTime() 
    {
        return returnTime;
    }
    public void setReturnLocationNumber(String returnLocationNumber) 
    {
        this.returnLocationNumber = returnLocationNumber;
    }

    public String getReturnLocationNumber() 
    {
        return returnLocationNumber;
    }

    public String getAssetName() {
        return assetName;
    }

    public void setAssetName(String assetName) {
        this.assetName = assetName;
    }

    public String getAssetNumber() {
        return assetNumber;
    }

    public void setAssetNumber(String assetNumber) {
        this.assetNumber = assetNumber;
    }

    public String getBorrowLocationName() {
        return borrowLocationName;
    }

    public void setBorrowLocationName(String borrowLocationName) {
        this.borrowLocationName = borrowLocationName;
    }

    public String getReturnLocationName() {
        return returnLocationName;
    }

    public void setReturnLocationName(String returnLocationName) {
        this.returnLocationName = returnLocationName;
    }

    @Override
    public String toString() {
        return "TbAssetBorrowRecord{" +
                "id=" + id +
                ", assetId=" + assetId +
                ", assetName='" + assetName + '\'' +
                ", assetNumber='" + assetNumber + '\'' +
                ", userName='" + userName + '\'' +
                ", borrowTime=" + borrowTime +
                ", borrowLocationNumber='" + borrowLocationNumber + '\'' +
                ", borrowLocationName='" + borrowLocationName + '\'' +
                ", expectedReturnTime=" + expectedReturnTime +
                ", isReturn=" + isReturn +
                ", returnTime=" + returnTime +
                ", returnLocationNumber='" + returnLocationNumber + '\'' +
                ", returnLocationName='" + returnLocationName + '\'' +
                '}';
    }
}
